> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_sendRawTransaction

> Submits a pre-signed transaction for broadcast



## OpenAPI

````yaml /api-reference/openapi.json post /eth_sendRawTransaction
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /eth_sendRawTransaction:
    post:
      tags:
        - Ethereum API
      summary: eth_sendRawTransaction
      description: Submits a pre-signed transaction for broadcast
      operationId: eth_sendRawTransaction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: eth_sendRawTransaction
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Signed transaction data
                  default:
                    - >-
                      0xf86c808504a817c80082520894095e7baea6a6c7c4c2dfeb977efac326af552d870a8e8...
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: eth_sendRawTransaction
              params:
                - >-
                  0xf86c808504a817c80082520894095e7baea6a6c7c4c2dfeb977efac326af552d870a8e8...
      responses:
        '200':
          description: Returns the transaction hash
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: string
                    description: The transaction hash
                    example: >-
                      0x2f5d6a8af654c249bc487e7c7b926a3f3f165b575a6485a487f12c7a9e3c8e45
              example:
                jsonrpc: '2.0'
                result: >-
                  0x2f5d6a8af654c249bc487e7c7b926a3f3f165b575a6485a487f12c7a9e3c8e45
                id: 1

````